﻿//
//	File: oldformat.js
//	By: Henrik Virking, 2006-07-06
//
//	This file is a part of the Personal radioTuner widget, 
//	I've put the code for the different radiostations and functions 
//	in this separate file to keep the main widget-
//	file nice and clean. 



//FETCH OLD STATIONDATA
	function fetchOldSettings() {
		var reg = COM.createObject("Wscript.Shell");
		
		var oldSettings1 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref1"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref1"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref1"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref1"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref1"));
		var oldSettings2 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref2"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref2"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref2"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref2"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref2"));
		var oldSettings3 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref3"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref3"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref3"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref3"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref3"));
		var oldSettings4 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref4"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref4"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref4"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref4"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref4"));
		var oldSettings5 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref5"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref5"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref5"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref5"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref5"));
		var oldSettings6 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref6"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref6"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref6"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref6"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref6"));
		var oldSettings7 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref7"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref7"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref7"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref7"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref7"));
		var oldSettings8 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref8"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref8"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref8"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref8"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref8"));
		var oldSettings9 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref9"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref9"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref9"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref9"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref9"));
		var oldSettings10 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref10"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref10"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref10"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref10"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref10"));
		var oldSettings11 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref11"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref11"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref11"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref11"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref11"));
		var oldSettings12 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref12"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref12"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref12"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref12"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref12"));
		var oldSettings13 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref13"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref13"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref13"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref13"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref13"));
		var oldSettings14 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref14"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref14"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref14"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref14"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref14"));
		var oldSettings15 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref15"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref15"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref15"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref15"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref15"));
		var oldSettings16 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref16"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref16"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref16"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref16"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref16"));
		var oldSettings17 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref17"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref17"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref17"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref17"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref17"));
		var oldSettings18 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref18"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref18"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref18"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref18"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref18"));
		var oldSettings19 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref19"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref19"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref19"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref19"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref19"));
		var oldSettings20 = new Array(reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationTitlePref20"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLinkPref20"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationStreamFormatPref20"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\standardLogoPref20"), reg.RegRead("HKEY_CURRENT_USER\\Software\\Yahoo\\WidgetEngine\\Widgets\\Personal_radioTuner\\radiostationLogoPref20"));

		preferences.stationDataPref1.value = oldSettings1[0] + "|" + oldSettings1[1] + "|" + oldSettings1[2] + "|" + oldSettings1[3] + "|" + oldSettings1[4];
		preferences.stationDataPref2.value = oldSettings2[0] + "|" + oldSettings2[1] + "|" + oldSettings2[2] + "|" + oldSettings2[3] + "|" + oldSettings2[4];
		preferences.stationDataPref3.value = oldSettings3[0] + "|" + oldSettings3[1] + "|" + oldSettings3[2] + "|" + oldSettings3[3] + "|" + oldSettings3[4];
		preferences.stationDataPref4.value = oldSettings4[0] + "|" + oldSettings4[1] + "|" + oldSettings4[2] + "|" + oldSettings4[3] + "|" + oldSettings4[4];
		preferences.stationDataPref5.value = oldSettings5[0] + "|" + oldSettings5[1] + "|" + oldSettings5[2] + "|" + oldSettings5[3] + "|" + oldSettings5[4];
		preferences.stationDataPref6.value = oldSettings6[0] + "|" + oldSettings6[1] + "|" + oldSettings6[2] + "|" + oldSettings6[3] + "|" + oldSettings6[4];
		preferences.stationDataPref7.value = oldSettings7[0] + "|" + oldSettings7[1] + "|" + oldSettings7[2] + "|" + oldSettings7[3] + "|" + oldSettings7[4];
		preferences.stationDataPref8.value = oldSettings8[0] + "|" + oldSettings8[1] + "|" + oldSettings8[2] + "|" + oldSettings8[3] + "|" + oldSettings8[4];
		preferences.stationDataPref9.value = oldSettings9[0] + "|" + oldSettings9[1] + "|" + oldSettings9[2] + "|" + oldSettings9[3] + "|" + oldSettings9[4];
		preferences.stationDataPref10.value = oldSettings10[0] + "|" + oldSettings10[1] + "|" + oldSettings10[2] + "|" + oldSettings10[3] + "|" + oldSettings10[4];
		preferences.stationDataPref11.value = oldSettings11[0] + "|" + oldSettings11[1] + "|" + oldSettings11[2] + "|" + oldSettings11[3] + "|" + oldSettings11[4];
		preferences.stationDataPref12.value = oldSettings12[0] + "|" + oldSettings12[1] + "|" + oldSettings12[2] + "|" + oldSettings12[3] + "|" + oldSettings12[4];
		preferences.stationDataPref13.value = oldSettings13[0] + "|" + oldSettings13[1] + "|" + oldSettings13[2] + "|" + oldSettings13[3] + "|" + oldSettings13[4];
		preferences.stationDataPref14.value = oldSettings14[0] + "|" + oldSettings14[1] + "|" + oldSettings14[2] + "|" + oldSettings14[3] + "|" + oldSettings14[4];
		preferences.stationDataPref15.value = oldSettings15[0] + "|" + oldSettings15[1] + "|" + oldSettings15[2] + "|" + oldSettings15[3] + "|" + oldSettings15[4];
		preferences.stationDataPref16.value = oldSettings16[0] + "|" + oldSettings16[1] + "|" + oldSettings16[2] + "|" + oldSettings16[3] + "|" + oldSettings16[4];
		preferences.stationDataPref17.value = oldSettings17[0] + "|" + oldSettings17[1] + "|" + oldSettings17[2] + "|" + oldSettings17[3] + "|" + oldSettings17[4];
		preferences.stationDataPref18.value = oldSettings18[0] + "|" + oldSettings18[1] + "|" + oldSettings18[2] + "|" + oldSettings18[3] + "|" + oldSettings18[4];
		preferences.stationDataPref19.value = oldSettings19[0] + "|" + oldSettings19[1] + "|" + oldSettings19[2] + "|" + oldSettings19[3] + "|" + oldSettings19[4];
		preferences.stationDataPref20.value = oldSettings20[0] + "|" + oldSettings20[1] + "|" + oldSettings20[2] + "|" + oldSettings20[3] + "|" + oldSettings20[4];
		
		oldSettings1 = null;
		oldSettings2 = null;
		oldSettings3 = null;
		oldSettings4 = null;
		oldSettings5 = null;
		oldSettings6 = null;
		oldSettings7 = null;
		oldSettings8 = null;
		oldSettings9 = null;
		oldSettings10 = null;
		oldSettings11 = null;
		oldSettings12 = null;
		oldSettings13 = null;
		oldSettings14 = null;
		oldSettings15 = null;
		oldSettings16 = null;
		oldSettings17 = null;
		oldSettings18 = null;
		oldSettings19 = null;
		oldSettings20 = null;
		
		reg = null;
		
		savePreferences();
		switchStations();
}